Page MenuHomePhabricator

Devise caching (memcached) strategy for multi-DC mediawiki
Closed, ResolvedPublic

Description

Task to flesh out and extend multi-DC RfC cache relaying and update strategy.

The core work was done with WANObjectCache and caller updates.

T97562 is for the relay daemon for WAN cache purges.

Details

Related Gerrit Patches:
mediawiki/core : masterAdded WANObjectCache class

Event Timeline

aaron created this task.Feb 3 2015, 11:15 PM
aaron claimed this task.
aaron raised the priority of this task from to Normal.
aaron updated the task description. (Show Details)
aaron added subscribers: PleaseStand, gerritbot, bd808 and 2 others.

Change 187074 had a related patch set uploaded (by Aaron Schulz):
Added WANObjectCache class and made redis/memcached subclasses

https://gerrit.wikimedia.org/r/187074

Patch-For-Review

bd808 set Security to None.

See https://gerrit.wikimedia.org/r/#/c/187074/ and https://github.com/AaronSchulz/python-memcached-relay/blob/master/mcrelayd.py for the prototype daemon.

I'm not terribly wedded to any language/tool, but this only need to be able to keep up with write-level traffic (not memcached GET level volume), and I'd like to keep it simple.

Gilles added a comment.Apr 1 2015, 8:42 AM

python-memcached-relay -> might be worth renaming that, since it also covers redis and plans to do varnish/squid too. I'm happy to review it as soon as you have it up on gerrit.

aaron moved this task from Backlog to Doing on the Availability board.Apr 15 2015, 3:22 PM
aaron added a comment.Apr 22 2015, 7:16 AM

Any proposed gerrit repo names?

python-cache-relay?

Change 187074 merged by jenkins-bot:
Added WANObjectCache class

https://gerrit.wikimedia.org/r/187074

ori added a subscriber: ori.
aaron moved this task from Doing to Backlog on the Availability board.May 19 2015, 7:09 PM
aaron closed this task as Resolved.Dec 16 2015, 10:30 PM
aaron updated the task description. (Show Details)